<html lang="en">
	<head>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<meta http-equiv="X-UA-Compatible" content="ie=edge" />
		<title>Game Guidez</title>

		<link
			rel="stylesheet"
			href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css"
        />
	</head>
<body class="grey lighten-3"">
  <!-- NAVBAR -->
  <nav class="z-depth-0 grey lighten-4">
    <div class="nav-wrapper container">
      <a href="#" class="brand-logo">
        <img src="img/logo.svg" style="width: 180px; margin-top: 10px;">
      </a>
      <ul id="nav-mobile" class="right hide-on-med-and-down">
          <li class="logged-in" style="display: none">
            <a href="#" class="grey-text modal-trigger" data-target="modal-account">Account</a>
          </li>
          <li class="logged-in" style="display: none">
            <a href="#" class="grey-text" id="logout">Logout</a>
          </li>
          <li class="admin" style="display: none">
            <a href="#" class="grey-text modal-trigger" data-target="modal-create">Create Guide</a>
          </li>
          <li class="logged-out" style="display: none">
            <a href="#" class="grey-text modal-trigger" data-target="modal-login">Login</a>
          </li>
          <li class="logged-out" style="display: none">
            <a href="#" class="grey-text modal-trigger" data-target="modal-signup">Sign up</a>
          </li>
        </span>
      </ul>
    </div>
  </nav>

  <!-- ADMIN ACTIONS -->
<form class="center-align admin-actions admin" style="margin: 40px auto; max-width: 300px; display: none;">
    <input type="email" placeholder="User email" id="admin-email" required>
    <button class="btn-small yellow darken-2 z-depth-0">Make admin</button>
</form>

  <!-- SIGN UP MODAL -->
  <div id="modal-signup" class="modal">
    <div class="modal-content">
      <h4>Sign up</h4><br />
      <form id="signup-form">
        <div class="input-field">
          <input type="email" id="signup-email" required />
          <label for="signup-email">Email address</label>
        </div>
        <div class="input-field">
          <input type="password" id="signup-password" required />
          <label for="signup-password">Choose password</label>
        </div>
        <div class="input-field">
            <input type="text" id="signup-bio" required>
            <label for="signup-bio">One Line Bio</label>
        </div>
        <button class="btn yellow darken-2 z-depth-0">Sign up</button>
        <p class="error pink-text center-align"></p>
      </form>
    </div>
  </div>
  <!-- LOGIN MODAL -->
  <div id="modal-login" class="modal">
    <div class="modal-content">
      <h4>Login</h4><br />
      <form id="login-form">
        <div class="input-field">
          <input type="email" id="login-email" required />
          <label for="login-email">Email address</label>
        </div>
        <div class="input-field">
          <input type="password" id="login-password" required />
          <label for="login-password">Your password</label>
        </div>
        <button class="btn yellow darken-2 z-depth-0">Login</button>
        <p class="error pink-text center-align"></p>
      </form>
    </div>
  </div>
  <!-- ACCOUNT MODAL -->
  <div id="modal-account" class="modal">
    <div class="modal-content center-align">
      <h4>Account details</h4><br />
      <div class="account-details"></div>
    </div>
  </div>
  <!-- CREATE GUIDE MODAL -->
  <div id="modal-create" class="modal">
    <div class="modal-content">
      <h4>Create Guide</h4><br />
      <form id="create-form">
        <div class="input-field">
          <input type="text" id="title" required>
          <label for="title">Guide Title</label>
        </div>
        <div class="input-field">
          <textarea id="content" class="materialize-textarea" required></textarea>
          <label for="content">Guide Content</label>
        </div>
        <button class="btn yellow darken-2 z-depth-0">Create</button>
      </form>
    </div>
  </div>
  <!-- GUIDE LIST -->
  <div class="container" style="margin-top: 40px;">
    <ul class="collapsible z-depth-0 guides" style="border: none;">
      
    </ul>
  </div>

  <script src="https://www.gstatic.com/firebasejs/6.3.5/firebase-app.js"></script>
  <script src="https://www.gstatic.com/firebasejs/6.3.5/firebase-auth.js"></script>
  <script src="https://www.gstatic.com/firebasejs/6.3.5/firebase-firestore.js"></script>
  <script src="https://www.gstatic.com/firebasejs/6.3.5/firebase-functions.js"></script>
  <script src="scripts/firebase.js"></script>
  
  <!-- Compiled and minified JavaScript -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
  <script src="scripts/auth.js"></script>
  <script src="scripts/index.js"></script>
</body>
</html>
